## kactivities-kf5 5.18.0

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required (VERSION 2.8.11)

project (KActivities)

option (KACTIVITIES_LIBRARY_ONLY "If true, compiles only the KActivities library, without the service and other modules." OFF)
option (KACTIVITIES_ENABLE_EXCEPTIONS "If you have Boost 1.53, you need to build KActivities with exceptions enabled. This is UNTESTED and EXPERIMENTAL!" OFF)

option (KACTIVITIES_INSTALL_EXPERIMENTAL_LIBRARIES "If true, it will build and install the experimental libraries." OFF)
option (KACTIVITIES_INSTALL_EXPERIMENTAL_HEADERS "If true, it will install the headers of experimental libraries." OFF)

if (NOT KACTIVITIES_INSTALL_EXPERIMENTAL_LIBRARIES)
   set (KACTIVITIES_INSTALL_EXPERIMENTAL_HEADERS FALSE)
else()
   message (WARNING "**********************************************************\n"
                    "WARNING: The experimental libraries should not be used in"
                    "stable software releases. API and ABI can be changed"
                    "without notice. Do *NOT* make packages with this enabled!\n"
                    "**********************************************************")
endif()

set (REQUIRED_QT_VERSION 5.3.0)

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "kactivities require an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there."
   )
endif ()

set (KACTIVITIES_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Extra CMake stuff
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDECompilerSettings)
include (GenerateExportHeader)
include (ECMGenerateHeaders)

# Qt
set (CMAKE_AUTOMOC ON)
find_package (Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus)

# KDE Frameworks
set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
find_package (KF5DBusAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)

# Basic includes
include (CPack)

include (ECMPackageConfigHelpers)
include (ECMSetupVersion)


# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

add_definitions (-DTRANSLATION_DOMAIN=\"kactivities5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install (po)
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   set(CMAKE_CXX_VISIBILITY_PRESET default)
   set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)
endif ()

# libKActivities

ecm_setup_version (
   ${KF5_VERSION}
   VARIABLE_PREFIX KACTIVITIES
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kactivities_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfigVersion.cmake"
   SOVERSION 5
   )

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Activities")

install (
   EXPORT KF5ActivitiesLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE KF5ActivitiesLibraryTargets.cmake
   NAMESPACE KF5::
   )

ecm_configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install (
   FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivities_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
   )

# libKActivitiesStats

if (KACTIVITIES_INSTALL_EXPERIMENTAL_HEADERS)
   ecm_setup_version (
      ${KF5_VERSION}
      VARIABLE_PREFIX KACTIVITIESEXPERIMENTALSTATS
      VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kactivitiesexperimentalstats_version.h"
      PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesExperimentalStatsConfigVersion.cmake"
      SOVERSION 1
      )

   set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ActivitiesExperimentalStats")

   install (
      EXPORT KF5ActivitiesExperimentalStatsLibraryTargets
      DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
      FILE KF5ActivitiesExperimentalStatsLibraryTargets.cmake
      NAMESPACE KF5::
      )

   ecm_configure_package_config_file (
      "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesExperimentalStatsConfig.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesExperimentalStatsConfig.cmake"
      INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
      PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
      )

   install (
      FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesExperimentalStatsConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesExperimentalStatsConfigVersion.cmake"
      DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
      COMPONENT Devel
      )

   install (
      FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesexperimentalstats_version.h
      DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
      )
endif()

add_subdirectory (src)
add_subdirectory (autotests)
add_subdirectory (tests)

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

# Boosting us a bit

if (NOT KACTIVITIES_LIBRARY_ONLY)
   find_package (Boost 1.49 REQUIRED)

   string (REGEX MATCH "1053.." BOOST_VERSION_BLACKLISTED ${Boost_VERSION})

   if (BOOST_VERSION_BLACKLISTED AND NOT KACTIVITIES_ENABLE_EXCEPTIONS)
      message (
         WARNING
         "Boost.Container 1.53 has issues when exceptions are disabled. "
         "We will set the KACTIVITIES_ENABLE_EXCEPTIONS option."
         )
      set (KACTIVITIES_ENABLE_EXCEPTIONS ON)
   endif ()
endif ()

if (KACTIVITIES_ENABLE_EXCEPTIONS)
   string (REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
   add_definitions (-fexceptions)
endif ()

# Testing for C++0x/C++11 features
include (CheckCxxFeatures)
cxx_check_feature ("c++11" "auto"               "N2546" HAVE_CXX11_AUTO               "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "nullptr"            "N2431" HAVE_CXX11_NULLPTR            "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "lambda"             "N2927" HAVE_CXX11_LAMBDA             "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "override"           "N3206" HAVE_CXX11_OVERRIDE           "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "unique_ptr"         "none"  HAVE_CXX11_UNIQUE_PTR         "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "variadic-templates" "N2242" HAVE_CXX11_VARIADIC_TEMPLATES "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "initializer-lists"  "N2672" HAVE_CXX11_INITIALIZER_LISTS  "${ADDITIONAL_DEFINITIONS}")

# We can now actually require some C++11 features even for the library
if (NOT HAVE_CXX11_AUTO OR NOT HAVE_CXX11_LAMBDA OR NOT HAVE_CXX11_UNIQUE_PTR)
   message (
      FATAL_ERROR
      "You need a C++ compiler that supports the following C++11 features: auto, lambdas and move semantics."
      )
endif ()

# =======================================================
# Starting the actual project definition

# The libraries do not depend on any compile-time features
add_subdirectory (lib)

# Config file
set (KAMD_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
set (KAMD_DATA_DIR "${KDE_INSTALL_DATADIR_KF5}/kactivitymanagerd/")
set (KAMD_PLUGIN_VERSION 1)
set (KAMD_PLUGIN_DIR "kactivitymanagerd/${KAMD_PLUGIN_VERSION}")
set (KAMD_FULL_PLUGIN_DIR "${CMAKE_INSTALL_FULL_PLUGINDIR}/${KAMD_PLUGIN_DIR}/")
configure_file (kactivities-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kactivities-features.h)

include_directories (
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}/lib/core
   )

# Is the compiler modern enough to build the ActivityManager service
# and accompanying workspace addons?

string (COMPARE EQUAL "${CXX_FEATURES_UNSUPPORTED}" "" CXX_COMPILER_IS_MODERN)

if (NOT KACTIVITIES_LIBRARY_ONLY)

   if (NOT Boost_FOUND)
      message (WARNING
         "WARNING: You need boost libraries (range and containers) in order to build the Activity Manager daemon. We will only build the library, setting the KACTIVITIES_LIBRARY_ONLY option to ON."
         )
      set (KACTIVITIES_LIBRARY_ONLY ON)
   endif ()

   if (NOT HAVE_CXX11_VARIADIC_TEMPLATES OR NOT HAVE_CXX11_INITIALIZER_LISTS)
      message (WARNING
         "WARNING: You need a more modern compiler in order to build the Activity Manager daemon. We will only build the library, setting the KACTIVITIES_LIBRARY_ONLY option to ON."
         )
      set (KACTIVITIES_LIBRARY_ONLY ON)
   endif ()

   include_directories (${Boost_INCLUDE_DIR})

   # The compiler is good enough
   if (CXX_COMPILER_IS_MODERN)
      message (STATUS
         "C++11 enabled compiler: Your compiler is state-of-the-art"
         )
   else ()
      message (STATUS
         "C++11 enabled compiler:"
         "Your compiler doesn't support the following features: ${CXX_FEATURES_UNSUPPORTED} but
         the list of the supported ones is sufficient for the build: ${CXX_FEATURES_SUPPORTED}"
         )
   endif ()

   add_subdirectory (imports)
   add_subdirectory (service)

   # No point in having workspace addons without the service
   add_subdirectory (workspace)

endif ()

=== autotests/core/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KActivitiesTest)

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Test Core DBus)

include_directories (
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/lib/core/
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/tests/
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/autotests/
   ${CMAKE_BINARY_DIR}/src/lib/core/
   ${CMAKE_BINARY_DIR}/src/
   )

set (
   KActivitiesTest_SRCS
   main.cpp
   Process.cpp
   OfflineTest.cpp
   CleanOnlineTest.cpp
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/autotests/common/test.cpp
   )

if (NOT WIN32)

   add_executable (
      KActivitiesTest
      ${KActivitiesTest_SRCS}
      )

   target_link_libraries (
      KActivitiesTest
      Qt5::Core
      Qt5::Test
      Qt5::DBus
      KF5::Activities
      )

endif ()

=== src/lib/core/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

# =======================================================
# Now that we finished with the boilerplate, start
# with the library definition

set (
   KActivities_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.cpp

   consumer.cpp
   controller.cpp
   info.cpp
   resourceinstance.cpp

   mainthreadexecutor_p.cpp
   manager_p.cpp
   activitiescache_p.cpp
   debug_p.cpp

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/dbusfuture_p.cpp

   version.cpp
   )

set_source_files_properties (
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.xml
   PROPERTIES
   INCLUDE ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.h
   )

qt5_add_dbus_interface (
   KActivities_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.xml
   activities_interface
   )

qt5_add_dbus_interface (
   KActivities_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Resources.xml
   resources_interface
   )

qt5_add_dbus_interface (
   KActivities_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Features.xml
   features_interface
   )

qt5_add_dbus_interface (
   KActivities_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesLinking.xml
   resources_linking_interface
   )

qt5_add_dbus_interface (
   KActivities_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Application.xml
   application_interface
   )

add_library (
   KF5Activities SHARED
   ${KActivities_LIB_SRCS}
   )
add_library (KF5::Activities ALIAS KF5Activities)

include_directories (
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src
   ${KDBusAddons_INCLUDE_DIR}
   ${Boost_INCLUDE_DIR}
   )

set_target_properties (
   KF5Activities
   PROPERTIES
   VERSION ${KACTIVITIES_VERSION_STRING}
   SOVERSION ${KACTIVITIES_SOVERSION}
   EXPORT_NAME Activities
   )

target_link_libraries (
   KF5Activities
   PUBLIC
      Qt5::Core
   PRIVATE
      Qt5::DBus
      KF5::DBusAddons
   )

target_include_directories (
   KF5Activities
   INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KActivities>"
   )

# install
generate_export_header (KF5Activities BASE_NAME KActivities)

ecm_generate_headers (
   KActivities_CamelCase_HEADERS
   HEADER_NAMES
   Consumer
   Controller
   Info
   ResourceInstance
   Version
   PREFIX KActivities
   REQUIRED_HEADERS KActivities_HEADERS
   )
install (
   FILES ${KActivities_CamelCase_HEADERS}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KActivities/KActivities
   COMPONENT Devel
   )

install (
   FILES ${KActivities_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/kactivities_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KActivities/kactivities
   COMPONENT Devel
   )

install (
   TARGETS KF5Activities
   EXPORT KF5ActivitiesLibraryTargets
   ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
   )


if (NOT WIN32)
   configure_file (
      ${CMAKE_CURRENT_SOURCE_DIR}/libKActivities.pc.cmake
      ${CMAKE_CURRENT_BINARY_DIR}/libKActivities.pc
      )
   install (
      FILES ${CMAKE_CURRENT_BINARY_DIR}/libKActivities.pc
      DESTINATION ${KDE_INSTALL_LIBDIR}/pkgconfig
      )
endif ()

include (ECMGeneratePriFile)
ecm_generate_pri_file (
   BASE_NAME KActivities
   LIB_NAME KF5Activities
   DEPS "KDBusAddons"
   FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KActivities
   )
install (
   FILES ${PRI_FILENAME}
   DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
   )

=== src/lib/stats/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (KActivitiesStats)

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Sql)
find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)

set (
   KActivitiesStats_LIB_SRCS

   query.cpp
   terms.cpp
   resultset.cpp
   resultwatcher.cpp
   resultmodel.cpp
   activitiessync_p.cpp
   cleaning.cpp

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/database/Database.cpp
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/database/schema/ResourcesDatabaseSchema.cpp
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/qsqlquery_iterator.cpp

   version.cpp
   )

qt5_add_dbus_interface (
   KActivitiesStats_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesScoring.xml
   resourcesscoring_interface
   )

qt5_add_dbus_interface (
   KActivitiesStats_LIB_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesLinking.xml
   resourceslinking_interface
   )



add_library (
   KF5ActivitiesExperimentalStats SHARED
   ${KActivitiesStats_LIB_SRCS}
   )
add_library(KF5::ActivitiesExperimentalStats ALIAS KF5ActivitiesExperimentalStats)

include_directories (
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src
   ${KDBusAddons_INCLUDE_DIR}
   )

set_target_properties (
   KF5ActivitiesExperimentalStats
   PROPERTIES
   VERSION "0.0.1"
   SOVERSION "1"
   EXPORT_NAME ActivitiesExperimentalStats
   )

target_link_libraries (
   KF5ActivitiesExperimentalStats
   PUBLIC
      Qt5::Core
   PRIVATE
      Qt5::DBus
      Qt5::Sql
      KF5::Activities
      KF5::DBusAddons
      KF5::ConfigCore
   )

target_include_directories (
   KF5ActivitiesExperimentalStats
   INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KActivitiesStats>"
   )

# install
generate_export_header (KF5ActivitiesExperimentalStats BASE_NAME KActivitiesStats)

ecm_generate_headers (
   KActivitiesStats_CamelCase_HEADERS
   HEADER_NAMES
   Query
   Terms
   ResultSet
   ResultWatcher
   ResultModel
   Cleaning
   Version

   PREFIX KActivitiesExperimentalStats
   REQUIRED_HEADERS KActivitiesStats_HEADERS
)

if (NOT KACTIVITIES_INSTALL_EXPERIMENTAL_HEADERS)
    set (SKIP_NAMELINK LIBRARY NAMELINK_SKIP)
endif ()

install (
   TARGETS KF5ActivitiesExperimentalStats
   EXPORT KF5ActivitiesExperimentalStatsLibraryTargets
   ${SKIP_NAMELINK}
   ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
   )

if (KACTIVITIES_INSTALL_EXPERIMENTAL_HEADERS)
   install (
      FILES ${KActivitiesStats_CamelCase_HEADERS}
      DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KActivitiesStats/KActivities/Experimental/Stats
      COMPONENT Devel
      )

   install (
      FILES ${KActivitiesStats_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_export.h
      DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KActivitiesStats/kactivitiesexperimentalstats
      COMPONENT Devel
      )

   if (NOT WIN32)
      configure_file (
         ${CMAKE_CURRENT_SOURCE_DIR}/libKActivitiesExperimentalStats.pc.cmake
         ${CMAKE_CURRENT_BINARY_DIR}/libKActivitiesExperimentalStats.pc
         )
      install (
         FILES ${CMAKE_CURRENT_BINARY_DIR}/libKActivitiesExperimentalStats.pc
         DESTINATION ${KDE_INSTALL_LIBDIR}/pkgconfig
         )
   endif ()

   include (ECMGeneratePriFile)
   ecm_generate_pri_file (
      BASE_NAME KActivitiesExperimentalStats
      LIB_NAME KF5ActivitiesExperimentalStats
      DEPS "KDBusAddons"
      FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/KActivitiesExperimentalStats
      )
   install (
      FILES ${PRI_FILENAME}
      DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
      )
endif ()

=== src/workspace/fileitemplugin/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

find_package (KF5 REQUIRED COMPONENTS KIO)
find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Sql)

include_directories (
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/src
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   )

set (kactivitymanagerd_fileitem_linking_plugin_SRCS
   FileItemLinkingPlugin.cpp
   FileItemLinkingPluginActionLoader.cpp
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/qsqlquery_iterator.cpp
   )

add_library (
   kactivitymanagerd_fileitem_linking_plugin MODULE
   ${kactivitymanagerd_fileitem_linking_plugin_SRCS}
   )

kcoreaddons_desktop_to_json (
   kactivitymanagerd_fileitem_linking_plugin
   kactivitymanagerd_fileitem_linking_plugin.desktop
   SERVICE_TYPES kfileitemactionplugin.desktop
   )

target_link_libraries (
   kactivitymanagerd_fileitem_linking_plugin
   Qt5::Core
   Qt5::Sql
   KF5::KIOFileWidgets
   KF5::I18n
   KF5::Activities
   )

install (
   TARGETS kactivitymanagerd_fileitem_linking_plugin
   DESTINATION ${KDE_INSTALL_PLUGINDIR}
   )
install (
   FILES kactivitymanagerd_fileitem_linking_plugin.desktop
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
   )

=== src/workspace/settings/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KCMActivities)

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Core Quick Sql Qml DBus)
find_package (KF5KCMUtils ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Declarative ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5XmlGui ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GlobalAccel ${KF5_DEP_VERSION} CONFIG REQUIRED)

set (KAMD_KCM_DATADIR
   ${KDE_INSTALL_DATADIR_KF5}/kactivitymanagerd/workspace/settings/
   )

if (NOT IS_ABSOLUTE "${KDE_INSTALL_DATADIR_KF5}")
   set (KAMD_KCM_DATADIR "${CMAKE_INSTALL_PREFIX}/${KAMD_KCM_DATADIR}")
endif ()

configure_file (kactivities-kcm-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kactivities-kcm-features.h)

add_subdirectory(imports)

set (KAMD_KCM_SRCS
   kcm_activities.cpp

   MainConfigurationWidget.cpp
   ActivitiesTab.cpp
   SwitchingTab.cpp
   PrivacyTab.cpp

   BlacklistedApplicationsModel.cpp
   ExtraActivitiesInterface.cpp

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/dbusfuture_p.cpp
   )

ki18n_wrap_ui (
   KAMD_KCM_SRCS
   ui/MainConfigurationWidgetBase.ui
   ui/PrivacyTabBase.ui
   ui/SwitchingTabBase.ui
   )

qt5_add_dbus_interface (
   KAMD_KCM_SRCS

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Features.xml
   features_interface
   )

add_library (kcm_activities MODULE ${KAMD_KCM_SRCS})

target_link_libraries (kcm_activities
   Qt5::Quick
   Qt5::Core
   Qt5::Sql
   Qt5::Qml
   Qt5::DBus
   KF5::KCMUtils
   KF5::I18n
   KF5::Service
   KF5::Declarative
   KF5::XmlGui
   KF5::GlobalAccel
   KF5::Activities
   )

install (
   TARGETS kcm_activities
   DESTINATION ${KDE_INSTALL_PLUGINDIR}
   )

install (
   FILES kcm_activities.desktop
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
   )

install (
   DIRECTORY

   qml/activitiesTab
   qml/privacyTab

   DESTINATION ${KAMD_KCM_DATADIR}/qml
   )

## kactivities-kf5 5.3.0

=== debian/changelog ===
kactivities-kf5 (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:14:27 +0100

kactivities-kf5 (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Split out qml to its own package. 
  * Added missing dependencies.
  * Added missing files to install file. 
  * Batchpatch symbols - removed 3 MISSING 
     - std::_Sp_counted_base<(__gnu_cxx::_Lock_policy)2>::~_Sp_counted_base()
  * Revert to original install paths. Upstream Review:120229

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:02:55 +0200

kactivities-kf5 (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update extra-cmake-modules depend version 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:32:20 +0200

kactivities-kf5 (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Jul 2014 10:24:26 +0200

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libboost-dev,
               libkf5config-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5declarative-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5kcmutils-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/kdelibs/kactivities
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kactivities.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kactivities.git

Package: libkf5activities-dev
Section: libdevel
Architecture: any
Depends: libkf5activities5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: kactivities
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkactivities-bin
Description: Runtime to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: libkf5activities5-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libkf5activities5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kactivities
 This library provides functionality for managing Activities.
 .
 Contains debug symbols for kactivities.
 
Package: qml-module-org-kde-extensionplugin
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5activities5 (>= ${source:Version})
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1)
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1)
Description: provides integration of QML and KDE Frameworks - extensionplugin
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kactivities-(.*)\.tar\.xz

http://download.kde.org/stable/frameworks/([\d\.]*)/kactivities-(.*)\.tar\.xz

## kactivities-kf5 5.9.0

=== debian/changelog ===
kactivities-kf5 (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:27:18 +0200

kactivities-kf5 (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:37:08 +0100

kactivities-kf5 (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:59:45 +0100

kactivities-kf5 (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:16:54 +0100

kactivities-kf5 (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:06:13 +0100

kactivities-kf5 (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kio-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kio-dev (>= 5.9.0),
                libboost-dev,
-               libkf5config-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5declarative-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5kcmutils-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5declarative-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5kcmutils-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5package-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qtdeclarative5-dev
@@ -57,11 +58,13 @@
  This library provides functionality for managing Activities.
  .
  Contains debug symbols for kactivities.
- 
+
 Package: qml-module-org-kde-extensionplugin
 Architecture: any
 Multi-arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkf5activities5 (>= ${source:Version})
+Depends: libkf5activities5 (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1)
 Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1)
 Description: provides integration of QML and KDE Frameworks - extensionplugin

## kactivities-kf5 5.15.0

=== debian/changelog ===
kactivities-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:42:11 +0100

kactivities-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:09:13 +0100

kactivities-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * new upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:47:02 +0200

kactivities-kf5 (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Vivid backport 

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:23:24 +0200

kactivities-kf5 (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 13:46:38 +0200

kactivities-kf5 (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:42:05 +0200

kactivities-kf5 (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:29 +0200

kactivities-kf5 (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:56 +0100

kactivities-kf5 (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:50 +0100

kactivities-kf5 (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Feb 2015 18:04:39 +0100

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5declarative-dev (>= 5.15.0~),
               libkf5globalaccel-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kcmutils-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5windowsystem-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/kdelibs/kactivities
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kactivities.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kactivities.git

Package: libkf5activities-dev
Section: libdevel
Architecture: any
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: kactivities
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-activities,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkactivities-bin
Description: Runtime to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: libkf5activities5-dbg
Architecture: any
Multi-arch: same
Priority: extra
Section: debug
Depends: libkf5activities5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kactivities
 This library provides functionality for managing Activities.
 .
 Contains debug symbols for kactivities.

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.13.0+git20150903.0700)
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.13.0+git20150903.0700)
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-extensionplugin
Depends: qml-module-org-kde-activities, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## kactivities-kf5 5.18.0

=== debian/changelog ===
kactivities-kf5 (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * Override the libkactivitymanager_plugin lintian warnings, the lib is only
    used internally

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:17:51 +0100

kactivities-kf5 (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Add the new settings files.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:13:00 +0100

kactivities-kf5 (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  * Add missing files. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 20:25:32 -0700

kactivities-kf5 (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:29 +0100

kactivities-kf5 (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:54 +0200

kactivities-kf5 (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:50:06 +0200
 

kactivities-kf5 (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 20:40:32 +0200
 

kactivities-kf5 (5.12.0-2) unstable; urgency=high

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make kactivities depend upon libqt5sql5-sqlite, as it's a harcoded
    requirement (Closes: #793826).
  * Make libkf5activities5-dbg recommend qtbase5-dbg, as it's based on it.

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 27 Jul 2015 22:55:18 -0300

kactivities-kf5 (5.12.0-1) unstable; urgency=medium

  * Update symbols files. (Closes: #791865)
  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:12 +0200

kactivities (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 15:42:46 +0200

kactivities (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:42:14 +0100

kactivities (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 11:15:58 +0200

kactivities (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:37:35 +0100

kactivities (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:09:09 +0200

kactivities (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:55:47 +0100

kactivities (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:35:47 +0000

kactivities (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:40 +0200

kactivities (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:48 +0100

kactivities (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:28:24 +0100

kactivities (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update acc files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:38 +0100

kactivities (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:37:02 +0000

kactivities (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:56:39 +0000

kactivities (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:25:13 +0000

kactivities (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:31:29 +0000

kactivities (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:43:08 +0100

kactivities (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:26:57 +0100

kactivities (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Jan 2014 21:30:13 -0300

kactivities (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Nov 2013 16:33:55 +0100

kactivities (4:4.11.2-2) experimental; urgency=low

  * Bump kdelibs5-dev build-dependency version.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2013 17:11:50 +0200

kactivities (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Oct 2013 20:32:23 +0200

kactivities (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:57:29 +0100



=== debian/control ===
--- 
+++ 
@@ -5,25 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
                libboost-dev (>= 1.49~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5declarative-dev (>= 5.15.0~),
-               libkf5globalaccel-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5kcmutils-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5declarative-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5kcmutils-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
-Homepage: https://projects.kde.org/projects/kde/kdelibs/kactivities
+Homepage: https://projects.kde.org/projects/frameworks/kactivities
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kactivities.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kactivities.git
 
@@ -47,11 +46,14 @@
 
 Package: kactivities
 Architecture: any
-Depends: plasma-framework,
+Depends: libqt5sql5-sqlite,
+         plasma-framework,
          qml-module-org-kde-activities,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libkactivities-bin
+Breaks: libkactivities-bin
+Replaces: libkactivities-bin
 Description: Runtime to organize the user work in separate activities.
  This library provides functionality for managing Activities.
 
@@ -61,6 +63,7 @@
 Priority: extra
 Section: debug
 Depends: libkf5activities5 (= ${binary:Version}), ${misc:Depends}
+Recommends: qtbase5-dbg
 Description: debug symbols for kactivities
  This library provides functionality for managing Activities.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5activities5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kactivities-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kactivities-([\d.]+)\.tar\.xz
